use strict;
use Data::Dumper;
#use DE_EPAGES::Core::API::Error qw ( ExistsError GetError );
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::Database::API::Connection qw ( GetTestSite RunOnStore );
use DE_EPAGES::Object::API::Factory qw (
    ExistsObjectByPath
    LoadObjectByPath
    LoadRootObject
);
use DE_EPAGES::Object::API::XML::ObjectImportHandler qw ( ImportObjects );
use DE_EPAGES::UPS::API::XML::Handler;
use XML::Compile::WSDL11;
use DE_EPAGES::UPS::t::MockSOAPCall;

use Readonly;
use Test::More;

Readonly my $ROOTPATH => '/TestStore';

sub Main {
    RunOnStore(
        'Store' => GetTestSite(),
        'Sub'   => sub {

            # startUp
            ok( Init(), 'initialization' );

#            # tests
#            eval {
#                    ## no critic (ProhibitPrivateSubroutineUse ProhibitPathConcatenation)
#                    my $ShippingLabelUPS = LoadObjectByPath($ROOTPATH.'/TestShop/Customers/1001/Orders/1002/ShippingLabels/1001');
#                    isa_ok($ShippingLabelUPS, 'DE_EPAGES::UPS::API::Object::ShippingLabelUPS');
#                    my $Handler = DE_EPAGES::UPS::API::XML::Handler->new($ShippingLabelUPS);
#                    isa_ok($Handler, 'DE_EPAGES::UPS::API::XML::Handler');
#                    isa_ok($Handler->_loadWSDLFile('Ship.wsdl'), 'XML::Compile::WSDL11');
#                    is ($#{$Handler->_loadSchemas()} + 1, 6, 'check number of XML Schema');
#                    *DE_EPAGES::UPS::API::XML::Handler::_sendRequest = sub {
#                        return GetFileContent('Error_Response.xml');
#                    };
#                    $Handler->createShippingDocument();
#                 };
#
#            if ( ExistsError() ) {
#                my $Error = GetError();
#                fail( 'Error: ' . $Error->longMessage );
#            }

            # shutDown
            ok( Cleanup(), 'cleanup' );
            done_testing();
        }
    );
}

sub Cleanup {
    return 1 if $ENV{'SKIP_CLEANUP'};
    LoadObjectByPath($ROOTPATH)->delete if ExistsObjectByPath($ROOTPATH);
    return 1;
}

sub Init {
    return 1 if ExistsObjectByPath($ROOTPATH) && $ENV{'SKIP_CLEANUP'};
    Cleanup();
    LoadRootObject()->insertChild( 'Object', { Alias => 'TestStore' } );
    ImportObjects( 'importOrder.xml', $ROOTPATH );
    return 1;
}

RunScript( Sub => \&Main );

1;