use strict;

use DE_EPAGES::Core::API::Script qw ( RunScript );
use Test::More;
use DE_EPAGES::UPS::API::ShippingLabelUPSPresets;
sub Main {
    testShippingLabelUPSPresets();
    done_testing();
}

sub testShippingLabelUPSPresets {
   my $ShippingLabelUPSPresets = DE_EPAGES::UPS::API::ShippingLabelUPSPresets->new();

   my $hPreset = $ShippingLabelUPSPresets->getPreset('de_DE');
   is($hPreset->{'DeliveryConfirmation'},0,'DeliveryConfirmation de_DE');
   is($hPreset->{'AdultConfirmation'},0,'AdultConfirmation de_DE');
   is($hPreset->{'UPSCarbonNeutral'},0,'UPSCarbonNeutral de_DE');
   is($hPreset->{'SaturdayDelivery'},0,'SaturdayDelivery de_DE');

   $hPreset = $ShippingLabelUPSPresets->getPreset('xx_XX');
   is($hPreset->{'DeliveryConfirmation'},0,'DeliveryConfirmation xx_XX');
   is($hPreset->{'AdultConfirmation'},0,'AdultConfirmation xx_XX');
   is($hPreset->{'UPSCarbonNeutral'},0,'UPSCarbonNeutral xx_XX');
   is($hPreset->{'SaturdayDelivery'},0,'SaturdayDelivery xx_XX');

   $hPreset = $ShippingLabelUPSPresets->getPreset('evilHack');
   is($hPreset,undef,'evilHack test');
}

RunScript( Sub => \&Main );

